Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » swt problems(can't get eclipse to run)
swt problems [message #1804238] Thu, 21 March 2019 04:48 Go to next message
steven Irrgang is currently offline steven IrrgangFriend
Messages: 4
Registered: March 2019
Junior Member
Hi

I am trying to run eclipse on a virtual machine running Centos 7. When I try to run it I get the following errors:

...
Can't load library: ~/.swt/lib/linux/x86_64/libswt-pi4-gtk-4924r25.so
Can't load library: ~/.swt/lib/linux/x86_64/libswt-pi4-gtk.so
...

When I look in that folder, there's only one file there, which is very similarly named:
libswt-pi3-gtk-4924r25.so

I have no idea what this file is, how the version that's there got there, why the correct files are missing, or what to do about it. And for once, searching the internet is not getting me anywhere. I have a vague idea what SWT is now but not where to get a different version of it. Any help would be appreciated.

Thanks
Re: swt problems [message #1804261 is a reply to message #1804238] Thu, 21 March 2019 11:52 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30230
Registered: July 2009
Senior Member
How did you install Eclipse, i.e., from where did you get your Eclipse installation? You should have gotten it from https://www.eclipse.org/downloads/
Re: swt problems [message #1804288 is a reply to message #1804261] Thu, 21 March 2019 21:17 Go to previous messageGo to next message
steven Irrgang is currently offline steven IrrgangFriend
Messages: 4
Registered: March 2019
Junior Member
Ed Merks wrote on Thu, 21 March 2019 11:52
How did you install Eclipse, i.e., from where did you get your Eclipse installation? You should have gotten it from https://www.eclipse.org/downloads/


I actually tried getting a different version from another part of the eclipse website and still had the same problem. The version I originally tried matches the version I get to from your link, specifically the one with this filename:
eclipse-cpp-2019-03-R-linux-gtk-x86_64.tar.gz
Re: swt problems [message #1804289 is a reply to message #1804288] Thu, 21 March 2019 21:25 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3421
Registered: July 2009
Senior Member

How recent an update of CentOS7 is that? Does it match up with the supported environments? https://www.eclipse.org/projects/project-plan.php?planurl=http://www.eclipse.org/eclipse/development/plans/eclipse_project_plan_4_11.xml#target_environments

Did you run an older release before?


Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Thu, 21 March 2019 21:26]

Report message to a moderator

Re: swt problems [message #1804291 is a reply to message #1804289] Thu, 21 March 2019 22:17 Go to previous messageGo to next message
steven Irrgang is currently offline steven IrrgangFriend
Messages: 4
Registered: March 2019
Junior Member
Nitin Dahyabhai wrote on Thu, 21 March 2019 21:25
How recent an update of CentOS7 is that? Does it match up with the supported environments? https://www.eclipse.org/projects/project-plan.php?planurl=http://www.eclipse.org/eclipse/development/plans/eclipse_project_plan_4_11.xml#target_environments

Did you run an older release before?


It's 7.2.1511, which is older than the listed Red Hat version of 7.5.

This is the first that I've tried to install eclipse on a Linux machine anywhere ever.

I could try upgrading the OS to 7.5, is there any reasonable likelihood of that actually helping though?
Re: swt problems [message #1804300 is a reply to message #1804291] Fri, 22 March 2019 05:31 Go to previous message
steven Irrgang is currently offline steven IrrgangFriend
Messages: 4
Registered: March 2019
Junior Member
Ok, so one problem was that I didn't actually have any mechanism for displaying a GUI set up at all. I ran into a whole lot more problems trying to set that up. Then I started fresh with the most recent (admittedly too recent according to the supported environments) version of Centos, and between the fresh (virtual) machine and the upgraded OS it works. So, problem solved from my point of view, though the meaning of the particular error message remains a mystery.
Previous Topic:Eclipse 12-2018 SAP UI5 Auto Complete Issue
Next Topic:Another Eclipse update problem...
Goto Forum:
  


Current Time: Wed Jun 26 09:45:20 GMT 2019

Powered by FUDForum. Page generated in 0.03006 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top